InformationObjectTreeResponse
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response
Class InformationObjectTreeResponse

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.AbstractSMSResponseConfig
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.InformationObjectTreeResponse

All Implemented Interfaces:
  SMSResponseConfig

    public class InformationObjectTreeResponse

extends AbstractSMSResponseConfig

Author:
  Federico De Faveri defaveri@isti.cnr.it

Field Summary
`static TreeWalkRule` | `ANY_REFERENCE`
`static int` | `DEFAULT_HOPS_VALUE`

Constructor Summary
`InformationObjectTreeResponse(RawContentLocationConfig contentLocation, java.util.List<TreeWalkRule> walkRules, int hops, java.util.List<StorageHint> hints)`

Method Summary
`static InformationObjectTreeResponse` | `completeInformationObjectTree()`
`static InformationObjectTreeResponse` | `completeInformationObjectTree(RawContentLocationConfig contentLocation)`
`RawContentLocationConfig` | `getContentLocation()`
`java.util.List<StorageHint>` | `getHints()`
`int` | `getHops()`
`java.util.List<TreeWalkRule>` | `getWalkRules()`
`void` | `setHops(int hops)`
`java.lang.String` | `toString()`
`static InformationObjectTreeResponse` | `walkedInformationObjectTree(java.util.List<TreeWalkRule> walkRules)`

Methods inherited from class org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.AbstractSMSResponseConfig
`getResponseType, isUseRS2, useRS2`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY_REFERENCE

    public static final TreeWalkRule ANY_REFERENCE

### DEFAULT_HOPS_VALUE

    public static final int DEFAULT_HOPS_VALUE

See Also:
  Constant Field Values

Constructor Detail

### InformationObjectTreeResponse

    public InformationObjectTreeResponse(RawContentLocationConfig contentLocation,
                                         java.util.List<TreeWalkRule> walkRules,
                                         int hops,
                                         java.util.List<StorageHint> hints)

Method Detail

### walkedInformationObjectTree

    public static InformationObjectTreeResponse walkedInformationObjectTree(java.util.List<TreeWalkRule> walkRules)

### completeInformationObjectTree

    public static InformationObjectTreeResponse completeInformationObjectTree(RawContentLocationConfig contentLocation)

### completeInformationObjectTree

    public static InformationObjectTreeResponse completeInformationObjectTree()

### getContentLocation

    public RawContentLocationConfig getContentLocation()

  Returns:
    the contentLocation

### getHints

    public java.util.List<StorageHint> getHints()

  Returns:
    the hints

### getWalkRules

    public java.util.List<TreeWalkRule> getWalkRules()

  Returns:
    the walkRules

### getHops

    public int getHops()

  Returns:
    the hops

### setHops

    public void setHops(int hops)

  Parameters:
    `hops` - the hops to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD